mia-2dsegmentcropbox(1)

NAME
mia-2dsegmentcropbox - Evaluate a crop-box around a manual segmentation.

SYNOPSIS
mia-2dsegmentcropbox -i <in-file> -o <out-file> [options]

DESCRIPTION
mia-2dsegmentcropbox This program is used on a segmentation set and evaluates a bounding box that encloses the segmentation in all slices. This bounding box is then used to crop the original images, correct the segmentation and store a new segmentation set with the cropped images. The cropped images will be of the same type as the original images. If no segmentation is given in the set, the result is undefined.

OPTIONS

    -i --in-file=(input, required); string
        input segmentation set

    -p --override-imagepath
        Instead of using the path of the image files as given in the segmentation set, assume the files are located in the current directory

    -o --out-file=(output, required); string
        output segmentation set

    -c --cropped-base=crop
        Base name for the cropped image files, the file type and numbering will be based on the input image file type and numbering.

    -e --enlarge=5
        Enlarge the area around the obtained sbounding box by this number of pixels in each direction

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

EXAMPLE
Evaluate the optimal cropping for a segmentation set segment.set and enlarge it by 3 pixels. Store the resulting set in the file cropped.set.

mia-2dsegmentcropbox -i segment.set -o cropped.set -e 3

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.